import 'package:data_mock/model/avatar_model.dart';
import 'package:json2dart_safe/json2dart.dart';

class AvatarModelDao extends BaseDao<AvatarModel> {
  static String tableSql([String? tableName]) => ""
      "CREATE TABLE IF NOT EXISTS `${tableName ?? 'avatars'}` ("
      "`avatar` TEXT PRIMARY KEY)";

  @override
  AvatarModel fromJson(Map json) => AvatarModel.fromJson(json);

  @override
  String get primaryKey => 'avatar';
}
