import 'package:data_mock/model/image_model.dart';
import 'package:json2dart_safe/json2dart.dart';

class ImageModelDao extends BaseDao<ImageModel> {
  static String tableSql([String? tableName]) => ""
      "CREATE TABLE IF NOT EXISTS `${tableName ?? 'images'}` ("
      "`image` TEXT PRIMARY KEY)";

  @override
  ImageModel fromJson(Map json) => ImageModel.fromJson(json);

  @override
  String get primaryKey => 'image';
}
