import 'dart:convert';

import 'package:json2dart_safe/json2dart.dart';

class ImageModel with BaseDbModel {
  String? image;

  ImageModel({
    this.image,
  });

  @override
  Map<String, dynamic> toJson() => <String, dynamic>{}..put('image', image);

  ImageModel.fromJson(Map json) {
    image = json.asString('image');
  }

  static ImageModel toBean(Map json) => ImageModel.fromJson(json);

  @override
  Map<String, dynamic> primaryKeyAndValue() => {"image": image};

  @override
  int get hashCode => image?.hashCode ?? super.hashCode;

  @override
  bool operator ==(Object other) {
    if (other is ImageModel && image != null) {
      return other.image == image;
    }
    return super == other;
  }

  @override
  String toString() => jsonEncode(toJson());
}
